const char errno_lua[] =
"local ffi = require('ffi')\n"
"local errno_list = require('errno')\n"
"\n"
"ffi.cdef[[\n"
"    char *strerror(int errnum);\n"
"]]\n"
"\n"
"local function strerror(errno)\n"
"    if errno == nil then\n"
"        errno = ffi.errno()\n"
"    end\n"
"    return ffi.string(ffi.C.strerror(tonumber(errno)))\n"
"end\n"
"\n"
"return setmetatable({\n"
"    strerror = strerror\n"
"}, {\n"
"    __index = errno_list,\n"
"    __newindex = function() error(\"Can't create new errno constants\") end,\n"
"    __call = function(self, ...) return ffi.errno(...) end\n"
"})\n"
""
;
