const char fiber_lua[] =
"-- fiber.lua (internal file)\n"
"\n"
"local fiber = require('fiber')\n"
"local ffi = require('ffi')\n"
"ffi.cdef[[\n"
"double\n"
"fiber_time(void);\n"
"uint64_t\n"
"fiber_time64(void);\n"
"double\n"
"fiber_clock(void);\n"
"uint64_t\n"
"fiber_clock64(void);\n"
"]]\n"
"local C = ffi.C\n"
"\n"
"local function fiber_time()\n"
"    return tonumber(C.fiber_time())\n"
"end\n"
"\n"
"local function fiber_time64()\n"
"    return C.fiber_time64()\n"
"end\n"
"\n"
"local function fiber_clock()\n"
"    return tonumber(C.fiber_clock())\n"
"end\n"
"\n"
"local function fiber_clock64()\n"
"    return C.fiber_clock64()\n"
"end\n"
"\n"
"fiber.time = fiber_time\n"
"fiber.time64 = fiber_time64\n"
"fiber.clock = fiber_clock\n"
"fiber.clock64 = fiber_clock64\n"
"return fiber\n"
""
;
